﻿@model AppUserModel

<form asp-controller="user" asp-action="updateProfile" autocomplete="off" data-ajax="true" data-ajax-method="POST" data-ajax-success="onProfileUpdated">
    <div class="d-flex mt-3">
        <div class="mx-3 text-center">
            <div>
                @await Html.PartialAsync("_UserAvatar", Model, new ViewDataDictionary(ViewData){{"_size", "50"}})

            </div>
            <div class="mt-2">
                <a href="#" onclick="showImageEditModal()"> Edit Picture</a>
            </div>
        </div>

        <div class="col-sm-8 col-md-6 col-lg-6 text-start">
            <div class="form-group mb-2">
                <label class="control-label" asp-for="@Model.Email">Email</label>
                <input type="email" class="form-control" asp-for="@Model.Email" readonly>
                <span asp-validation-for="@Model.Email" class="unobtrusive-validation"></span>
            </div>

            <div class="form-group mb-2">
                <label class="control-label" asp-for="@Model.Name" class="form-label required">Name</label>
                <input type="text" class="form-control" asp-for="@Model.Name" placeholder="Name">
                <span asp-validation-for="@Model.Name" class="unobtrusive-validation"></span>
            </div>
        </div>
        
    </div>

    <button type="submit" class="btn btn-success mt-3">Update</button>

</form>

<div class="modal fade" id="edit-profile-picture-modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form asp-controller="user" asp-action="updatePicture" enctype="multipart/form-data" data-ajax="true" data-ajax-method="POST" data-ajax-success="onProfilePictureUpdated">
                @Html.AntiForgeryToken()
                <div class="modal-header">
                    <h5 class="modal-title">Edit Picture</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>

                </div>
                <div class="modal-body">
                    <div class="edit-image-preview-div text-center">
                        <img class="img-preview" id="profile-image-preview" />
                    </div>
                    <div class="text-center mt-3">
                        <input type="file" name="file" class="d-none" id="profile-image-chooser" accept="image/png, image/jpeg" onchange="onProfilePictureSelected(event)" />
                        <butto type="button" class="btn btn-outline-success" onclick="startProfilePictureSection()"> Select File</butto>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-success">Save</button>
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancel</button>
                </div>
            </form>
        </div>
    </div>
</div>